CEPH-INFO(1)

NAME
ceph-info - show Ceph cluster information as a website.

SYNOPSIS

ceph-info

DESCRIPTION

When operating large, central storage systems the trust of the users that their data is always safe is paramount. Specifically in the enterprise environment, gaining trust from the users to save their data on your Ceph cluster (which is "just" SDS) can be achieved with technical transparency.

The ceph-info program shows Ceph cluster information as a website where anyone interested can observe the clusters health and action transparently, without requireing Ceph specific knowledge or access privileges.

For the system administrators it provides a neat "one page" overview of all essential health information of the cluster, rather than to do the same commands over the command line.

The info page is by default visible on http://localhost/ceph-info

OPTIONS

The ceph-info program has no options.

FILES

The following files are used:

/etc/open-infrastructure/ceph-tools.conf
    Configuration file.

/var/cache/open-infrastructure/ceph-info/.txt*
    Ceph cluster information dumps.

/usr/share/open-infrastructure/ceph-info/web
    ceph-info document root.

SEE ALSO

storage-tools(7).

HOMEPAGE

More information about storage-tools and the Open Infrastructure project can be found on the homepage at https://open-infrastructure.net.

CONTACT

Bug reports, feature requests, help, patches, support and everything else are welcome on the Open Infrastructure Software Mailing List <software@lists.open-infrastructure.net>.

Debian specific bugs can also be reported in the Debian Bug Tracking System at https://bugs.debian.org.

AUTHORS

storage-tools was written by Daniel Baumann <daniel.baumann@open-infrastructure.net>.